library(stockassessment)
load("run/model.RData")
source("src/myforecast.R") 
FC<-list()
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1,1,1,1,1,1), label="SQ all years", processNoiseF=FALSE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale = c(1,1,NA,NA,NA,NA,NA,NA,NA), fval=c(NA,NA, 0.000001,0.000001,0.000001,0.000001,0.000001,0.000001,0.000001), label="Status quo, then F = 0", processNoiseF=FALSE, savesim=TRUE)
#set.seed(12345)
#FC[[length(FC)+1]] <- myforecast(fit, fscale=c(1,1, NA, 1), nextssb=c(NA,NA,115782,NA),fval=c(NA,NA,NA,NA), label="Target SSB (Blim)", processNoiseF=FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1, NA, 1),catchval=c(NA,NA,7865,NA), label="Target SSB (Blim = 115 782 t)", processNoiseF=FALSE, savesim=TRUE)
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1, NA, 1),fval=c(NA,NA,0.1,NA), label="Fmgt - old management plan for NCC south+north", processNoiseF=FALSE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1, NA, 1,1,1,1,1,1),fval=c(NA,NA,0.139,NA,NA,NA,NA,NA,NA), label="Fmsy when Blim = average SSB (rec age 2) adjusted for SSB below Btrigger", processNoiseF=FALSE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1, NA, 1,1,1,1,1,1),fval=c(NA,NA,0.163,NA,NA,NA,NA,NA,NA), label="Fmsy when Blim = average SSB (rec age 3) adjusted for SSB below Btrigger", processNoiseF=FALSE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1, NA, 1,1,1,1,1,1),catchval.exact=c(NA,NA,15898,NA,NA,NA,NA,NA,NA), label="Target SSB (Blim = 111 338 t)", processNoiseF=FALSE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1, NA, 1,1,1,1,1,1),catchval.exact=c(NA,NA,18825,NA,NA,NA,NA,NA,NA), label="Target SSB (Blim) 2 x Tmin", processNoiseF=FALSE, savesim=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1, NA, 1,1,1,1,1,1),catchval.exact=c(NA,NA,26000,NA,NA,NA,NA,NA,NA), label="Target SSB (Blim) Tmin + one generation (5 years)", processNoiseF=FALSE, savesim=TRUE)
save(FC, file="run/forecast.RData")
